import os
from pathlib import Path
from setuptools import setup, find_packages


def read_file(filepath: str) -> str | None:
    if Path(filepath).is_file():
        with open(filepath, 'r') as file:
            content = file.read().strip()
        file.close()

        if len(content) >= 1:
            return content

    return None


setup(
    name='samus-logging',
    version=read_file(f'VERSION'),
    python_requires='>=3.10',
    package_dir={'': '.'},
    packages=find_packages(where='samus_logging'),
    install_requires=[],
    extras_require={'dev': ['twine==4.0.2']},

    # license='',
    description='A minimal Logging-controller.',
    long_description=read_file('README.md'),
    author='Samu Rabin',
    author_email='samu.ca.rabin@gmail.com',
    maintainer='Samu Rabin',
    maintainer_email='samu.ca.rabin@gmail.com',
    url='',
    # download_url=''

    keywords=['python', 'logging', 'logger', 'minimal'],
    # classifiers=setup_config['CLASSIFIERS'],
)
